package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.VisitDrUserDataPool;
import com.ruoyi.system.domain.visit.dr.VisitDrUserDataPoolExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrUserDataPoolMapper_old {
    long countByExample(VisitDrUserDataPoolExample example);

    int deleteByExample(VisitDrUserDataPoolExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitDrUserDataPool record);

    int insertSelective(VisitDrUserDataPool record);

    List<VisitDrUserDataPool> selectByExample(VisitDrUserDataPoolExample example);

    VisitDrUserDataPool selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitDrUserDataPool record, @Param("example") VisitDrUserDataPoolExample example);

    int updateByExample(@Param("record") VisitDrUserDataPool record, @Param("example") VisitDrUserDataPoolExample example);

    int updateByPrimaryKeySelective(VisitDrUserDataPool record);

    int updateByPrimaryKey(VisitDrUserDataPool record);

    int deleteAllDataByRuleId(@Param("ruleId") String ruleId);

    List<VisitDrUserDataPool> selectDataByRuleId(@Param("ruleId") String ruleId);
}